Bug 1204462 - build brltty against at-spi2-core instead of at-spi
Summary: build brltty against at-spi2-core instead of at-spi
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: brltty
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-22 09:44 UTC by Peter Robinson
Modified: 2015-03-24 10:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-24 10:00:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2015-03-22 09:44:31 UTC
The current release of brltty supports the newer at-spi2 but it's still built against at-spi. It would be better to use the newer library rather than the obsolete at-spi

Comment 1 Jaroslav Škarvada 2015-03-23 17:35:10 UTC
Added subpackage at-spi2

Comment 2 Peter Robinson 2015-03-23 17:43:55 UTC
http://pkgs.fedoraproject.org/cgit/brltty.git/commit/?id=a4b0abaad983acc17c01f768deb500c7f29c6cbb

Looking at the commit you drop the build req
-BuildRequires: at-spi-devel

And add a new package for at-spi2 but don't remove and obsolete the old at-spi sub package which means the package would likely still be there and empty. I plan on retiring the old package as soon as nothing depends on it (there is this and one other dep)

Comment 3 Jaroslav Škarvada 2015-03-23 17:48:18 UTC
(In reply to Peter Robinson from comment #2)

> And add a new package for at-spi2 but don't remove and obsolete the old
> at-spi sub package which means the package would likely still be there and
> empty.
>
No, it is not empty. It now supports both API.

> I plan on retiring the old package as soon as nothing depends on it
> (there is this and one other dep)
>
Sorry, I didn't get it, so I will kill the at-spi.

Comment 4 Peter Robinson 2015-03-23 17:50:39 UTC
> Sorry, I didn't get it, so I will kill the at-spi.

Sorry, it's long been dead, it has one other user which in itself is dead upstream.


Note You need to log in before you can comment on or make changes to this bug.